#include<stdio.h>
int main () 
{
 int x,a,b,c,d,rezultat;
 printf("Uneti pozitivan cetvorocifren broj:\n");
 scanf("%d",&x); 
 if (x<1000 || x>9999)  rezultat = -1;
 else
 {
  a=x%10; //Odvaja cifre.
  b=(x/10)%10;
  c=(x/100)%10;
  d=(x/1000)%10;

  if (a%2!=0) a=1; 
  if (b%2!=0) b=1;
  if (c%2!=0) c=1;
  if (d%2!=0) d=1;	
  rezultat=a*b*c*d;
 }

 printf("%d\n",rezultat); 
 return 0;
}
